Subject: Re: CCL:freezing atoms in g03 optimizations

From: Yohann Moreau <moreau[at]lctn.uhp-nancy.fr>
Date: Wed, 02 Jun 2004 16:21:28 +0200

Hello Joey,

If I understand, you just want to make a partial geometry optimization, i.e. without
moving some atoms of the molecule.
To do so, there are two ways in Gaussian : it depends if you use cartesian coordinates or
a z-matrix

In the first case, just put the flag "-1" between the atom type and its coordinates (see
my answer to Kadri a few days ago)
(just be careful not to put a non frozen atom in first which is atomatically frozen)

In the second, you'll freeze internal coordinates :
use the keyword "opt=z-mat"
write your Z matrix not with numerical values but with variables

after your Z matrix, you must give values to the variables : name of the variable follewd
by the value
(this is in fact the general way to write a Z-matrix, nothing new)
To freeze some values, juste put in first the set of variables, a blank line and second,
the set of constants.
I'm not sure to be clear enough, so here is an example :

# RHF/STO-3G opt=z-mat

title : methanol

0 1
C
H   1   R1
H   1   R1   2   A1
H   1   R1   2   A1   3 D1
O   1   R2   2   A1   3 -D1
H   5   R3   1   A2   2 D2

R1 1.083
R2 1.44
A1 109.47122
D1 120.0

R3 0.96
A2 104.48
D2 180.0

R1, R2, A1 and D1 will be allowed to vary whereas R3, A2 and D2 won't be.

I hope this will help you,

Yohann

Joey Harriman wrote:

> Hi,
>
> I am trying to do a geometry optimization on a large system which contains some atoms
> that are involved in a transition-state structure.  I would like to fix the portion of
> the molecule with the TS geometry and do an optimization on the rest of the atoms.
> What is the best method to freeze the TS atoms?  I have been looking at the
> ModRedundant function, but am unaware of how to create the secondary input after the
> zmatrix for this.  Any help would be greatly appreciated.
>
> Thanks in advance,
>
> Joe Harriman
>
> ----------------------------------
> Joe Harriman
> Computational Chemistry
> University of New Brunswick
> Room 228
> Toole Hall
> s808o[at]unb.ca
> ----------------------------------
>
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
> and send your message to:  CHEMISTRY[at]ccl.net
>
> Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST[at]ccl.net
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs
>
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow[at]nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

--

               Yohann MOREAU, Doctorant
       Equipe de Chimie et Biochimie Thioriques
               UMR CNRS-UHP 7565 "SRMSC"
          BP 239, F-54506 Vandoeuvre-lhs-Nancy
http://www.lctn.uhp-nancy.fr/Etudiants/Yohann.Moreau.html